﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<CoinDev.Areas.UserAdministration.Models.UserAdministration.IndexViewModel>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
	Users
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">

<div id="content">
	<link href='<% =Url.Content("~/Content/MvcMembership.css") %>' rel="stylesheet" type="text/css" />
    <h1>Users</h1>

    <div class="mvcMembership-allUsers">
        <div class="form_settings">
        <% if(Model.Users.Count > 0){ %>
		    <ul class="users">
			    <% foreach(var user in Model.Users){ %>
			    <li>
				    <span class="username"><% =Html.ActionLink(user.UserName, "Details", new{ id = user.ProviderUserKey}) %></span>
				    <%--<span class="email"><a href="mailto:<% =Html.Encode(user.Email) %>"><% =Html.Encode(user.Email) %></a></span>--%>
				    <% if(user.IsOnline){ %>
					    <span class="isOnline">Online</span>
				    <% }else{ %>
					    <span class="isOffline">Offline for
						    <%
							    var offlineSince = (DateTime.Now - user.LastActivityDate);
							    if (offlineSince.TotalSeconds <= 60) Response.Write("1 minute.");
							    else if(offlineSince.TotalMinutes < 60) Response.Write(Math.Floor(offlineSince.TotalMinutes) + " minutes.");
							    else if (offlineSince.TotalMinutes < 120) Response.Write("1 hour.");
							    else if (offlineSince.TotalHours < 24) Response.Write(Math.Floor(offlineSince.TotalHours) + " hours.");
							    else if (offlineSince.TotalHours < 48) Response.Write("1 day.");
							    else Response.Write(Math.Floor(offlineSince.TotalDays) + " days.");
						    %>
					    </span>
				    <% } %>
				    <% if(!string.IsNullOrEmpty(user.Comment)){ %>
					    <span class="comment"><% =Html.Encode(user.Comment) %></span>
				    <% } %>
			    </li>
			    <% } %>
		    </ul>
		    <ul class="paging">
			    <% if (Model.Users.IsFirstPage){ %>
			    <li>First</li>
			    <li>Previous</li>
			    <% }else{ %>
			    <li><% =Html.ActionLink("First", "Index") %></li>
			    <li><% =Html.ActionLink("Previous", "Index", new { index = Model.Users.PageIndex - 1 })%></li>
			    <% } %>

			    <li>Page <% =Model.Users.PageNumber%> of <% =Model.Users.PageCount%></li>

			    <% if (Model.Users.IsLastPage){ %>
			    <li>Next</li>
			    <li>Last</li>
			    <% }else{ %>
			    <li><% =Html.ActionLink("Next", "Index", new { index = Model.Users.PageIndex + 1 })%></li>
			    <li><% =Html.ActionLink("Last", "Index", new { index = Model.Users.PageCount - 1 })%></li>
			    <% } %>
		    </ul>
	    <% }else{ %>
		    <p>No users have registered.</p>
	    <% } %>
        </div>
	</div>
</div>
</asp:Content>
